/*
 * AppTaskCan.c
 *
 *  Created on: 2022213
 *      Author: QiXiang_CHENJIE
 */
#include "AppTaskCan.h"
uint32 timerCounterNow = 0;
static void vCanRxCallback(TimerHandle_t pxTimer)
{
	uint32 ulTimerID;
	ulTimerID = (uint32)pvTimerGetTimerID(pxTimer);
	if(ulTimerID==0)
	{
		Can_MainFunction_Read();
	}
}
void CanTask(void *pvParameters)
{
	(void)pvParameters;
	CanIf_bRxFlag = false;
	Can_Msg_Type_Data CanRxMsg;
	CanRecvQueueHandle = xQueueCreate(100, sizeof(Can_Msg_Type_Data));
	TimerHandle_t monitorTimer1ms;
	monitorTimer1ms = xTimerCreate("monitor1ms",1,pdTRUE,(void *)0,vCanRxCallback);
	xTimerStart(monitorTimer1ms,0);
	BaseType_t ret = pdFALSE;
	while(1)
	{

		do
		{
			memset(&CanRxMsg, 0, sizeof(CanRxMsg));
			ret = xQueueReceive(CanRecvQueueHandle, &CanRxMsg, 1);
			if (ret == pdPASS)
			{
				if(IsJumptoBootloader(CanRxMsg.id, CanRxMsg.data))
				{
					DoRoutinePositiveAnswer();
					RequestEnterBootloader();
					DoResetECU();
					break;
				}
				else
				{
					BcuDecodeFunction(CanRxMsg.id,CanRxMsg.data);//canЭ
				}
			}
		}while(ret == pdPASS);
		if(TimerCounter%100==0&&timerCounterNow!=TimerCounter)
		{
			timerCounterNow = TimerCounter;
		}
	}
}
//ע볬
void BcuDecodeFunction(uint32 ID, uint8 *rawData)
{
}
